#include "Rinternals.h"
SEXP ResetErrorHandling(void)
{
    extern SEXP R_Warnings;     
    extern int R_CollectWarnings;
    extern int R_PPStackTop;

    SEXP oldWarnings = R_Warnings;
    int oldCollectWarnings = R_CollectWarnings;
    int oldPPStackTop = R_PPStackTop;

    Rf_resetStack(FALSE);

    R_PPStackTop = oldPPStackTop;
    R_Warnings = oldWarnings;
    R_CollectWarnings = oldCollectWarnings;
    return R_NilValue;
}
